Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp
Class OriginMRTMPHandler

    java.lang.Object
      org.apache.mina.core.service.IoHandlerAdapter
          org.red5.server.net.mrtmp.OriginMRTMPHandler

All Implemented Interfaces:
  IoHandler

    public class OriginMRTMPHandler

extends IoHandlerAdapter

Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`OriginMRTMPHandler()`

Method Summary
`void` | `closeConnection(RTMPOriginConnection conn)`
`protected int` | `getSessionId(IoSession session)`
`void` | `messageReceived(IoSession session, Object message)`
`void` | `messageSent(IoSession session, Object message)`
`void` | `sessionClosed(IoSession session)`
`void` | `sessionCreated(IoSession session)`
`void` | `setCodecFactory(ProtocolCodecFactory codecFactory)`
`void` | `setHandler(IRTMPHandler handler)`
`void` | `setMrtmpManager(IMRTMPOriginManager mrtmpManager)`

Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter
`exceptionCaught, sessionIdle, sessionOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginMRTMPHandler

    public OriginMRTMPHandler()

Method Detail

### setMrtmpManager

    public void setMrtmpManager(IMRTMPOriginManager mrtmpManager)

### setHandler

    public void setHandler(IRTMPHandler handler)

### setCodecFactory

    public void setCodecFactory(ProtocolCodecFactory codecFactory)

### messageReceived

    public void messageReceived(IoSession session,
                                Object message)
                         throws Exception

  Specified by:
    `messageReceived` in interface `IoHandler`
  Overrides:
    `messageReceived` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### messageSent

    public void messageSent(IoSession session,
                            Object message)
                     throws Exception

  Specified by:
    `messageSent` in interface `IoHandler`
  Overrides:
    `messageSent` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### sessionClosed

    public void sessionClosed(IoSession session)
                       throws Exception

  Specified by:
    `sessionClosed` in interface `IoHandler`
  Overrides:
    `sessionClosed` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### sessionCreated

    public void sessionCreated(IoSession session)
                        throws Exception

  Specified by:
    `sessionCreated` in interface `IoHandler`
  Overrides:
    `sessionCreated` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### closeConnection

    public void closeConnection(RTMPOriginConnection conn)

### getSessionId

    protected int getSessionId(IoSession session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project